import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"meta.pmh",
				"MetaBrush",
				"MetaGraph",
				"MetaPlugin",
				"OperatorContext",
				"metaDL" ]

	dll = module.DLL( "fexMetaDL", srcList )

	dll.linkmap = { "gfxlibs": forge.gfxlibs }

	deplibs = forge.corelibs+ [
				"fexDrawDLLib",
				"fexMathLib",
				"fexSurfaceDLLib",
				"fexWindowLib"	]

	forge.deps( ["fexMetaDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",	"fexMetaDL",					None,	None) ]
