/*	Copyright (C) 2003-2013 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __signal_HandlerI_h__
#define __signal_HandlerI_h__

namespace fe
{

class SignalerI;

/**************************************************************************//**
	@brief Interface to handle signals from an fe::SignalerI

	@ingroup signal
*//***************************************************************************/
class FE_DL_EXPORT HandlerI : virtual public Component
{
	public:
virtual				~HandlerI(void) {}
virtual	void		handle(Record &signal, sp<SignalerI> spSignalerI)
					{
						handle(signal);
					}
virtual	void		handle(Record &signal)
					{
						/* NOOP */
					}

	public:
};


} /* namespace */

#endif /* __signal_HandlerI_h__ */
